import { Video} from '@tarojs/components';

export default (props) => {
  const { item } = props
  return (
    <>{
      item.contentType == 'image' ?
        <image src={item.content} mode="widthFix" style={{width:'100%'}}/> :
        item.contentType == 'text' ?
          <view className='storezn'>{item.content}</view> :
          <Video controls={true}
          autoplay={false}
          loop={false}
          muted={false} style={{width:"100%",height:'200px'} } src={item.content} ></Video>
    }
    </>
  )
}