//房东端  民宿老板
import request from '@/utils/request'

/**
 * 民宿详情
 * @param {*} id 
 * @returns 
 */
 export const getHotelDetail = (id) => request(`/taHotel/${id}`)


 
/**
 * 查询房源列表 
 * @param {*} params 
 * @returns 
 */
 export const getRoomList = (params) => request('/taRoom', { params })

 /**
 * 删除房源
 * @param {*} data 
 * @returns 
 */
  export const deleteRoom = (id) => request(`/taRoom/${id}`, { method: 'delete'})


/**
 * 房源详情
 * @param {*} id 
 * @returns 
 */
export const getRoomDetail = (id) => request(`/taRoom/${id}`)
/**
 * 保存房源
 * @param {*} data 
 * @returns 
 */
 export const saveRoom = (data) => request('/taRoom', { method: 'post', data })